Bug 61626 - [NEW PORT] net/happystats: Universal log converter into graph
Summary: [NEW PORT] net/happystats: Universal log converter into graph
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-20 13:20 UTC by kiwi
Modified: 2004-03-05 23:31 UTC (History)
0 users

See Also:


Attachments
happystats-0.4.0.shar (2.50 KB, text/plain)
2004-01-20 13:20 UTC, kiwi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kiwi 2004-01-20 13:20:07 UTC
Happystats is a universal tool to convert logs into graphs.

Usefull for mail stats for example

WWW: http://happystats.tuxfamily.org/

Generated with FreeBSD Port Tools 0.50
Comment 1 Sergei Kolobov freebsd_committer 2004-01-20 13:31:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Grab.
Comment 2 Sebastien Gioria freebsd_committer 2004-02-23 20:04:28 UTC
This is the update to the new lastest version of happystat

--- happystats-0.5.0.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#	pkg-plist
#	files/patch-aa
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# New ports collection makefile for:	Happystats
X# Date created:				January 12th 2004
X# Whom:	      				Xavier Beaudouin <kiwi@oav.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	happystats
XPORTVERSION=	0.5.0
XCATEGORIES=	net
XMASTER_SITES=	http://www.happystats.org/srcs/
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	gioria@FreeBSD.ORG
XCOMMENT=	Universal log converter into graph
X
XLIB_DEPENDS=	pcre.0:${PORTSDIR}/devel/pcre \
X		xml2.5:${PORTSDIR}/textproc/libxml2 \
X		rrd.0:${PORTSDIR}/net/rrdtool \
X		gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
X
XMAN1=		happystats.1
XMANCOMPRESSED=	yes
X
Xdo-configure:
X	@cd ${WRKSRC}; ${MAKE} dep
X
X.include <bsd.port.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (happystats-0.5.0.tgz) = f2b015b6998e22266f363bbd0ff6c69f
END-of-distinfo
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XHappystats is a universal tool to convert logs into graphs.
X
XUsefull for mail stats for example
X
XWWW: http://happystats.tuxfamily.org/
END-of-pkg-descr
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xbin/happystats
Xwww/cgi-bin/happystats.cgi
END-of-pkg-plist
echo x - files/patch-aa
sed 's/^X//' >files/patch-aa << 'END-of-files/patch-aa'
X--- Makefile.orig	Mon Feb 23 19:57:38 2004
X+++ Makefile	Mon Feb 23 19:59:54 2004
X@@ -23,7 +23,10 @@
X 
X install : strip
X 	install -c happystats ${PREFIX}/bin/happystats
X-	install -c man/happystats.1.gz ${PREFIX}/man/man1/happystats.1.gz
X+	install -c man/happystats.1.gz ${PREFIX}/man/man1/happystats.1.gz
X+	mkdir -p ${PREFIX}/www/cgi-bin
X+	install -v happystats.cgi ${PREFIX}/www/cgi-bin/happystats.cgi
X+
X 
X strip: happystats happystats.cgi
X 	strip happystats ; \
END-of-files/patch-aa
exit
--- happystats-0.5.0.shar ends here ---
-- 
Sebastien Gioria(48.8147,2.3622)   gioria@{FreeBSD,FreeBSD-FR}.ORG
French FreeBSD User Group    	  http://www.FreeBSD-FR.{ORG,info}
FreeBSD committer			    http://www.FreeBSD.ORG
*-> FreeBSD + RollerBlade + Scuba Diving; What need you more ? <-*
Comment 3 Sergei Kolobov freebsd_committer 2004-03-05 23:31:46 UTC
State Changed
From-To: open->closed

New port added, thanks!